package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.ObjHiddMapper;
import com.goldenwater.slaj.hidd.domain.ObjHidd;
import com.goldenwater.slaj.hidd.service.IObjHiddService;

/**
 * 隐患对象 服务层实现
 */
@Service
public class ObjHiddServiceImpl implements IObjHiddService {

    @Autowired
    private ObjHiddMapper objHiddMapper;

    /**
     * 查询隐患对象信息
     * @param guid 查询条件
     * @return 隐患对象信息
     */
    @Override
    public ObjHidd selectObjHiddByGuid(String guid) {
        return objHiddMapper.selectObjHiddByGuid(guid);
    }

    /**
     * 查询隐患对象列表
     * @param objHidd 隐患对象查询条件
     * @return 隐患对象集合
     */
    @Override
    public List<ObjHidd> selectObjHiddList(ObjHidd objHidd) {
        return objHiddMapper.selectObjHiddList(objHidd);
    }

    /**
     * 新增隐患对象
     * @param objHidd 隐患对象信息
     * @return 影响行数
     */
    @Override
    public int insertObjHidd(ObjHidd objHidd) {
        return objHiddMapper.insertObjHidd(objHidd);
    }

    /**
     * 修改隐患对象
     * @param objHidd 隐患对象信息
     * @return 影响行数
     */
    @Override
    public int updateObjHidd(ObjHidd objHidd) {
        return objHiddMapper.updateObjHidd(objHidd);
    }

    /**
     * 删除隐患对象
     * @param guid 隐患对象主键
     * @return 影响行数
     */
    @Override
    public int deleteObjHiddByGuid(String guid) {
        return objHiddMapper.deleteObjHiddByGuid(guid);
    }

    /**
     * 批量删除隐患对象
     * @param guids 隐患对象主键数组
     * @return 影响行数
     */
    @Override
    public int deleteObjHiddByGuids(String[] guids) {
        return objHiddMapper.deleteObjHiddByGuids(guids);
    }
}
